org.jfree.chart.labels

## Class ItemLabelPosition

- java.lang.Object
- - org.jfree.chart.labels.ItemLabelPosition

All Implemented Interfaces:
  java.io.Serializable

    public class ItemLabelPosition
    extends java.lang.Object
    implements java.io.Serializable

The attributes that control the position of the label for each data item on a chart. Instances of this class are immutable.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ItemLabelPosition()` Creates a new position record with default settings.
`ItemLabelPosition(ItemLabelAnchor itemLabelAnchor, org.jfree.ui.TextAnchor textAnchor)` Creates a new position record (with zero rotation).
`ItemLabelPosition(ItemLabelAnchor itemLabelAnchor, org.jfree.ui.TextAnchor textAnchor, org.jfree.ui.TextAnchor rotationAnchor, double angle)` Creates a new position record.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Tests this object for equality with an arbitrary object.
`double` `getAngle()` Returns the angle of rotation for the label.
`ItemLabelAnchor` `getItemLabelAnchor()` Returns the item label anchor.
`org.jfree.ui.TextAnchor` `getRotationAnchor()` Returns the rotation anchor point.
`org.jfree.ui.TextAnchor` `getTextAnchor()` Returns the text anchor.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ItemLabelPosition

    public ItemLabelPosition()

Creates a new position record with default settings.

#### ItemLabelPosition

    public ItemLabelPosition(ItemLabelAnchor itemLabelAnchor,
                     org.jfree.ui.TextAnchor textAnchor)

Creates a new position record (with zero rotation).

Parameters:
  `itemLabelAnchor` - the item label anchor (`null` not permitted).
  `textAnchor` - the text anchor (`null` not permitted).

#### ItemLabelPosition

    public ItemLabelPosition(ItemLabelAnchor itemLabelAnchor,
                     org.jfree.ui.TextAnchor textAnchor,
                     org.jfree.ui.TextAnchor rotationAnchor,
                     double angle)

Creates a new position record. The item label anchor is a point relative to the data item (dot, bar or other visual item) on a chart. The item label is aligned by aligning the text anchor with the item label anchor.

Parameters:
  `itemLabelAnchor` - the item label anchor (`null` not permitted).
  `textAnchor` - the text anchor (`null` not permitted).
  `rotationAnchor` - the rotation anchor (`null` not permitted).
  `angle` - the rotation angle (in radians).

### Method Detail

#### getItemLabelAnchor

    public ItemLabelAnchor getItemLabelAnchor()

Returns the item label anchor.

Returns:
  The item label anchor (never `null`).

#### getTextAnchor

    public org.jfree.ui.TextAnchor getTextAnchor()

Returns the text anchor.

Returns:
  The text anchor (never `null`).

#### getRotationAnchor

    public org.jfree.ui.TextAnchor getRotationAnchor()

Returns the rotation anchor point.

Returns:
  The rotation anchor point (never `null`).

#### getAngle

    public double getAngle()

Returns the angle of rotation for the label.

Returns:
  The angle (in radians).

#### equals

    public boolean equals(java.lang.Object obj)

Tests this object for equality with an arbitrary object.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.